[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Soundex

Compute the soundex of a string

## Declaration

Source position: strutils.pp line 140

`function Soundex(`
`const AText: string;`
`ALength: TSoundexLength`
`):string; function Soundex(`
`const AText: string`
`):string;`

## Arguments

`AText` |  | Text to compute soundex of
`ALength` |  | Length of the soundex

## Function result

String with the soundex code of the original string.

## Arguments

`AText` |  | Text to compute soundex of

## Description

Soundex computes a soundex code for AText. The resulting code will at most have ALength characters. The soundex code is computed according to the US system of soundex computing, which may result in inaccurate results in other languages.

Note that AText may not contain null characters.

## Errors

None.

## See also

SoundexCompare |  | Compare soundex values of 2 strings.
SoundexInt |  | Soundex value as an integer.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexWord |  | Calculate a word-sized soundex value
SoundexSimilar |  | Check whether 2 strings have equal soundex values